Subject: [PATCH v3] virtio: Add platform bus driver for memory mapped virtio device

From: [email-masked] (Rusty Russell)
Date: Mon, 24 Oct 2011 13:03:06 +1030

On Fri, 21 Oct 2011 18:57:24 +0100, Pawel Moll <[email-masked]> wrote:
> On Wed, 2011-10-19 at 03:57 +0100, Rusty Russell wrote:
> > > Oh, really? My host-side implementation is just doing that:
> > > 
> > >         addr += align - 1;
> > >         addr &= ~(align - 1);
> > 
> > OK, so you're assuming power of 2.  Make sure you kill the guest or at
> > least the device if it's not though.
> 
> Yep, I have assertions all around such places :-) (it's a non-production
> code yet so I can do that)
> 
> > > \item The dynamic configuration changes, as described in p. 2.4.3
> > > ``Dealing With Configuration Changes'' are not permitted.
> > 
> > This means some devices simply won't work, at least in theory.  Why
> > don't you support this?
> 
> Uh. I simply forgot about it - my Host block device doesn't do that, so
> I ignored that feature initially and then it slipped through cracks. And
> till now I didn't realize that most of the drivers actually use this :-O
> My fault.
> 
> Simple to fix anyway - I'll just add InterruptStatus register and use
> second bit (same with InterruptACK) to get this through. Will be done on
> Monday.
> 
> Any other final complaints regarding the interface while I'm on it? ;-)

No, that's it I think.  Please send a diff for the documentation, since
I'm updating the LyX master and I've already applied your previous
version.

Thanks!
Rusty.